#
# spec file for package tmon
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Author: Thomas Renninger <trenn@suse.com>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           tmon
# Use this as version when things are in mainline kernel
Version:        1.0
Release:        2.5
Summary:        A Monitoring and Testing Tool for Linux kernel thermal subsystem
License:        GPL-2.0
Group:          System/Base
URL:            https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git
Source:         %{name}-%{version}.tar.bz2
Patch1:         tmon_pkg_config_ncurses_missing.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  pkg-config
BuildRequires:  ncurses-devel

%description
This tool is conceived as a tool to help visualize, tune, and test the
complex thermal subsystem.

%prep
%setup
%patch1 -p1

%build
CFLAGS="%optflags" make %{?_smp_mflags}

%install
make install INSTALL_ROOT=$RPM_BUILD_ROOT
install -D -m 644 tmon.8 ${RPM_BUILD_ROOT}%{_mandir}/man8/tmon.8

%files
%defattr (-,root,root)
%{_bindir}/tmon
%{_mandir}/man8/tmon*

%changelog
* Fri Feb 19 2016 trenn@suse.de
- Add include path for ncurses to build against SLE12 SP1 and others.
  ncurses-devel is missing pkg config on older distros.
  Add: tmon_pkg_config_ncurses_missing.patch
* Wed Feb 17 2016 trenn@suse.de
- Initial submit (version 1.0)
